
/**************************************************************************** 
* FILENAME:      ecc.h                                                      * 
*                                                                           * 
* VERSION:       V1.0                                                       * 
*                                                                           * 
* DESCRIPTION:   Header File for ecc.c                                      *   
*                                                                           * 
* TOOLS:         ARM Development Suite ADS1.2                               * 
*                Flash Magic V3.33.157                                      * 
*                                                                           * 
*                                                                           * 
* REVISION HISTORY:                                                         * 
* Version  Author          Date          Remarks                            * 
* 1.0      Xiaodong Xie    12/12/2006    Created                            *          
*****************************************************************************/ 
 
/** 
 * @file 
 * ECC file Header File 
 */ 
 
#ifndef _ECC_H_ 
#define _ECC_H_ 
 
struct EccAddr 
{ 
	unsigned int byte_addr; 
	unsigned char bit_addr; 
}; 
 
extern void ecc512( unsigned char *Buffer , unsigned char *EccByte ); 
extern unsigned char eccCheck512( unsigned char *Buffer, unsigned char *EccByte,  
						struct EccAddr *ErrAddr ); 
 
#endif


